Package org.codehaus.plexus.util

## Interface DirectoryWalkListener

    public interface DirectoryWalkListener

Observes the actions of a `DirectoryWalker`.

Version:
  $Id$
See Also:
  `DirectoryWalker`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug​(java.lang.String message)`
`void` `directoryWalkFinished()` The directory walking has finished.
`void` `directoryWalkStarting​(java.io.File basedir)` The directory walking has begun.
`void` `directoryWalkStep​(int percentage, java.io.File file)` The included entry that was encountered.

### Method Detail

#### directoryWalkStarting

    void directoryWalkStarting​(java.io.File basedir)

The directory walking has begun.

Parameters:
  `basedir` - the basedir that walk started in.

#### directoryWalkStep

    void directoryWalkStep​(int percentage,
                           java.io.File file)

The included entry that was encountered.

Parameters:
  `percentage` - rough percentage of the walk completed. (inaccurate)
  `file` - the file that was included.

#### directoryWalkFinished

    void directoryWalkFinished()

The directory walking has finished.

#### debug

    void debug​(java.lang.String message)